@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Playwrite+CO+Guides&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Overpass&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');
:root{
    --main-color:#f97c08;
    --secondary-color:#f97c08b3;
    --black-fonce:#58524c;
    --my-green:#5b9676;
    --my-blue:#1d96b7bc;
    --black:#757373;
    --li-black:#474747;
    --white :#fcfcfc;
    --transparent-with: rgba(255, 255, 255, 0.5);
    --radius: 0.7rem;
    --img-radius: .3rem;
    --buttom-radius: .3rem;
    --shadow: 0 0 1em rgba(0, 0, 0, 0.25);
    --title-font: Montserrat;
    --subtitle-font: Poppins;
    --content-font: var(--subtitle-font);
    --menu-font:Overpass;
    --graphical-text:"Great Vibes";
    --graphical-typo:"Dancing Script";
}
html{
    font: 400 100%/100% Montserrat,Poppins,sans-serif;
}
body{
    margin: 0;
    padding: 0;
    background: linear-gradient(rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.7)),
    url("../images/interface/paysage.jpg") no-repeat center center fixed;
    background-size: cover;
}
main{
    margin: 0;
    padding: 0;
}
a{
    text-decoration: none;
}
figure {
    display: block;
    margin: auto;
    padding: 0;
    width: 100%;
    font-size: 0.560rem;
}
.hidden-form-screen{
    display: none;
}
.all-right{
    margin: auto;
    width: 100%;
    font-size: 0.6rem;
    text-align: center;
}
@media screen and (min-width:768px) and (min-width:992px) and (min-width:1200px){
    body{
        background: linear-gradient(rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.2)),
        url("../images/interface/paysage.jpg") no-repeat center center fixed;
        background-size: cover;
    }
}
/* Stylisation du logo*/
#logo-decoration{
    margin-bottom: .2rem;
    padding: 0 0 .8rem;
}
#logo-decoration img{
    margin: 2.5rem 35% 0;
    width: 30%;
    height: 30%;
}
#logo-decoration > h2{
    display:block;
    margin: 0;
    width: 100%;
    text-align: center;
    line-height: 1.5rem;
    color: var(--my-green);
}
#logo-decoration > h2 > span{
    color: var(--secondary-color);
}
@media screen and (min-width:768px){
    #logo-decoration{
        margin-bottom: 0;
        padding: 0 0 .8rem;
    }
    #logo-decoration img{
        margin: 2.5rem 4% 0;
        width: 10%;
        height: 10%;
    }
    #logo-decoration > h2{
        display:block;
        margin: 0 0 0 1%;
        width: 15%;
        font-family: var(--graphical-text);
        text-shadow: -1px -1px 1px #030303;
    }
    #logo-decoration > h2 > span{
        color: rgb(255, 196, 86);
        text-shadow: none;
    }
}
@media screen and (min-width:992px){
     #logo-decoration > h2{
        font-size: 1.6rem;
    }
}
/* Style pour la navigation*/
header{
    width: 100%;
    background: linear-gradient(rgba(0, 195, 255, .8), rgba(255, 255, 255, 0.9)),
    url("../images/interface/paysage-prise-de-haut.jpg");
    background-size: cover;
}
.main-menu{
    padding: 1rem 20%;
    background: rgba(0, 0, 0, .5);
    
}
.main-menu .menu ul{
    margin: 0;
    padding: 0;
    list-style: none;
}
.main-menu .menu ul li a{
    display: block;
    padding: .3rem 1rem;
    font-family: var(--menu-font);
    text-align: center;
    color: var(--white);
    text-decoration: none;
    background-color: transparent;
    border-bottom: 0.055rem solid ;
    transition: all .1s ease;
}
.main-menu .menu ul li a:hover,
.main-menu .menu ul li a:focus{
    font-weight: 600;
    border-bottom: .2rem solid ;
    border-top-left-radius: var(--img-radius);
    border-top-right-radius: var(--img-radius);
    background-color: var(--secondary-color);
}
.main-menu > .menu > ul > li:last-of-type > a{
    border-bottom: none ;
}
.main-menu > .menu > ul > li:last-of-type > a:hover,
.main-menu > .menu > ul > li:last-of-type > a:focus{
    color: var(--black);
    border-bottom: none ;
    background: #ffffff;
}
/* Réactivité responsive de la navigation */
@media screen and (min-width:768px){
    header{
        background: linear-gradient(rgba(0, 195, 255, 0.5), rgba(56, 19, 19, 0.5)),
        url("../images/interface/paysage-prise-de-haut.jpg");
        background-size: cover;
    }
    .main-menu > .menu > ul{
        display: flex;
        justify-content: center;
    }
    .main-menu .menu ul li a{
        padding: .4rem 1rem;
        font-weight: 550;
        border-bottom: none ;
    }
    .main-menu > .menu > ul > li:last-of-type > a{
        margin-left: 5rem;
        border-radius: var(--img-radius);
        border: 1px solid var(--white);
    }
}
@media screen and (min-width:992px){
    .main-menu .menu ul li a{
        padding: .7rem 1rem;
        font-size: 1.4rem;
    }
}
/* Style pour la page principale*/
.presentation-zone{
    width: 100%;
}
.img-presentation{
    margin-top: .1rem;
    width: 100%;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}
.presentation-zone > .img-presentation > img{
    width: calc(100% + 50%);
    display: none;
}
.presentation-text{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.presentation-text > h2{
    margin-bottom: 0;
    color: var(--my-green);
    line-height: 2rem;
    text-align: center;
}
.presentation-text > h2 >span{
    font-family: var(--graphical-text);
    font-size: 2.5rem;
    color: var(--secondary-color);
    letter-spacing: .2rem;
}
.presentation-text > p{
    margin-top: 0;
    padding: .9rem;
    font-family: var(--content-font);
    font-weight: 450;
    font-size: .9rem;
    text-align: center;
    color: #5e3f30;
    text-shadow: -0px 2px 1px #f3eeee;
    line-height: 1.3rem;
}
section > .presentation-zone > .presentation-text > a{
    display: block;
    padding: .5rem;
    font-family: "Montserrat";
    font-weight: 600;
    color: var(--white);
    text-align: center;
    border-radius: .2rem;
    background: rgb(255, 102, 0);
    box-shadow: -0px 2px 1px #030303;
}
#scroll-zone{
    margin-top: .5rem;
    padding-top: .5rem;
}
.active-scroll{
    display: flex;
    justify-content: center;
    padding: .2rem .2rem;
    margin-top: .5rem;
    flex-wrap: wrap;
	align-items: flex-end; 
    gap: .7rem;
    position: relative;
    background-color: rgba(255, 102, 0,.5);
    margin: 0 20%;
    padding: .6rem 0rem;
    border-radius: 2rem;
}
#previous-slide,#next-slide{
    color: var(--black);
    border: 2px solid var(--white);
    padding: .5rem;
    border-radius: var(--buttom-radius);
    background: var(--white);
}
.swiper{
    max-width: 100%;
    padding-right: 2.8rem;background: var(--white);
}
.interest{
    max-width: 100%;
    margin: 7% .8rem ;
    padding: 0.53rem;
    border-radius: var(--radius);
    background: var(--white);
}
.interest > .head-interest > div > figure > img{
    width: 100%;
    border-radius: var(--img-radius);
}
.interest > .head-interest > div > figure > figcaption{
    text-align: center;
}
.interes-title{
    display: block;
    margin-bottom: -5rem;
    font-family: var(--title-font);
    font-size: 1.4rem;
    color: var(--secondary-color);
    text-align: center;
    background: rgba(37, 34, 34, 0.5);
    line-height: 5rem;
    position: relative;
    height: 5rem;
    border-top-left-radius: var(--img-radius);
    border-top-right-radius: var(--img-radius);
}
.interes-title-in-show{
    display: block;
    margin-bottom: 1.5rem;
    font-family: var(--title-font);
    font-size: 1.4rem;
    color: var(--secondary-color);
    text-align: center;
    background: none;
    line-height: 0rem;
    height: auto;
}
figure{
    display: block;
    width: 100%;  
}
.eye-catching{
    font-weight: 350;
    font-size: .9rem;
}
.audio-player{
    margin-bottom: 1.2rem;
    width: 100%;
    background-color: #5b9676;
}
audio{
    border-radius: var(--img-radius);
    width: 100%;
    height: 1.8rem;
}
.text-content{
    font-family: var(--content-font);
    font-weight: 300;
    font-size: .9rem;
    line-height: 1.3rem;
    color: var(--li-black);
}
.show-hide{
    padding: .3rem;
    margin-top: 2rem;
    border: 1px solid #bbb9b9;
    color: #aef3ff;
    background: #017a38d0; 
    border-radius: var(--buttom-radius);
}
.up-to-top{
    display: none;
}
/* Syle pour la page à propos de */
.fond-ecran{
    margin-top: .1rem;
    position: relative;
    z-index: -1;
}
.fond-ecran .img-fond-zone > img{
    display: none;
}
h2{
    font-family: var(--subtitle-font);
    font-weight: 600;
    font-size: 1.2rem;
    color: #1d1d1d;
}
h3{
    font-weight: 350;
    font-size: .9rem;
}
.presentation{
    border-top-left-radius: .4rem;
    border-top-right-radius: .4rem;
}
#scroll{
    margin-bottom: 2rem;
    border-bottom-left-radius: var(--img-radius);
    border-bottom-right-radius: var(--img-radius);
}
#scroll,.presentation{
    margin: 0 5% 0;
    padding: .4rem;
    font-family: var(--content-font);
    font-weight: 300;
    font-size: .9rem;
    line-height: 1.3rem;
    background: var(--white);
}
#scroll-vedette{
    margin: 0;
    padding: 2rem 0 ;
    border-top: .1rem solid var(--secondary-color);
}
.en-vedette {
    margin-bottom: 1.6rem;
}
.sol-cadre{
    width: 100%;
}
.en-vedette > div > figure > img{
    width: 100%;
    border-top-left-radius: var(--img-radius);
    border-top-right-radius: var(--img-radius);
}
.info-plus{
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    margin-top: -2.8rem;
    width: 100%;
    height: 2.4rem;
    background-color: rgba(0, 0, 0, .5);
    position: relative;
}
.info-plus > h2{
    margin-left: .8rem;
    font-size: .8rem;
    font-weight: 350;
    color: var(--white);
}
.info-plus > a {
    margin-right: .5rem;
    padding: .1rem;
    font-size: .5rem;
    text-decoration: none;
    color: var(--white);
    border: 1px solid var(--white);
    border-radius: var(--img-radius);
}
.a-propos{
    display: none;
}
/*Style de page sugession de lieu */
.suggestion{
    display: flex;
    padding: 4rem .9rem .8rem;
    font-family: var(--content-font);
    font-size: .8rem;
    color: var(--my-blue);
}
.cadre-form{
    padding: .5rem;
    width: 100%;
    border-radius: var(--img-radius);
    background: var(--white);
    box-shadow: -2px .1rem .1rem var(--black);box-sizing: border-box;
}
input[type=text],input[type=email],textarea {
    width: calc(100% - 1%);
    box-sizing: border-box;
}
.suggestion > .cadre-form > h2{
    padding: .5rem 0;
    font-size: 1.3rem;
    color: var(--black);
    text-align: center;
}
.suggestion > .cadre-form > h3,h2{
    font-weight: 600;
}
#titre, #description, #accroche{
    width: 100%;
}
.buttons{
    display: flex;
    margin: 2rem 25% 0.4rem;
    width: 55%;
    flex-direction: row;
    justify-content: space-evenly;
}
.required::after{
    content: "*";
    color: #ff0404;
}
select{
    border: 1px solid var(--secondary-color);
    border-radius: .2rem;
}
input[type=text],[type=email]{
    height: 1.5rem;
}
input[type=text],[type=email],textarea,select,
input[type=file]::file-selector-button {
    margin: .2rem 0 0 0;
    font-family: var(--content-font);
    color: var(--black);
    background-color: #f8efea;
}
input[type=text],[type=email],[type=email],textarea {
    font-size: .8rem;
    border: none;
    border-bottom: 2px solid var(--secondary-color);
    border-top-left-radius: .1rem;
    border-top-right-radius: .1rem;
}
input[type=text]:focus,
input[type=email]:focus,
textarea:focus{
    background-color: #f0fffa;
}
input[type=file] {
    padding: .4rem 0 .4rem .2rem;
    width: 95%;
    font-family: var(--content-font);
    font-size: .7rem;
    color: #222245;
}
input[type=file]::file-selector-button {
    margin-right: .3rem;
    padding: .3rem;
    font-size: .8rem;
    font-weight: 500;
    color: var(--white);
    border: none;
    border-radius: .2rem;
    background: #607a68;
    cursor: pointer;
}
input[type=submit],[type=reset] {
    width: 5rem;
    height: 1.8rem;
    margin: .4rem;
    padding: 0 .5rem;
    font-weight: 600;
    color: var(--secondary-color);
    border: 1px solid var(--black);
    border-radius: var(--img-radius);
    background-color: #fff;
    cursor: pointer;
}
input[type=submit]:hover,
input[type=reset]:hover,
input[type=reset]:focus{
    border: none;
    background-color: var(--secondary-color);
    color: var(--white);
}
/* Configuration du style du footer universel */
footer{
    display: block;
    margin-top: .5rem;
    padding: .2rem;
    border-top: .3rem solid var(--black);
    max-width: 100%;
    background: var(--my-green); 
    bottom:0; 
}
footer >.container{
    display: flex;
	flex-wrap: wrap;
	align-items: flex-end; 
    font-family: var(--content-font);
}
footer > .container > h2{
    margin: .6rem 0 0;
    width: 100%;
    font-family: var(--menu-font);
    font-size: 1.2rem;
    font-weight: 500;
    text-align: center;
    color: var(--white);
}
footer > .container > .info-contacts{
    margin: 0;
    padding: 0;
    width: 100%;
}
footer > .container > .info-contacts > p{
    margin: 0;
    padding: 0;
    font-family: Poppins;
    font-size: .8rem;
    font-weight: 400;
    color: #aef3ff;
    text-align: center;
}
footer > .container > .info-contacts > p:first-child{
    margin: .5rem;
}
.e-name{
    font-size: 1.025rem;
    font-weight: 700;
    line-height: 1.5rem;
    color: #ffbc90;
}
.all-right{
    display: block;
    margin-top: .8rem;
    color: #4b2f2f;
}
/* Réactivité responsive du footer */
@media screen and (min-width:768px){
    .container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        gap: .2rem;
    }
    .info-contacts{
        display: grid;
        grid-template-columns: 30% 45%; 
    }
    footer{
        padding-left: 5%;
    }
    footer > .container > h2{
        padding-bottom: 0;
        text-align: left;
    }
    footer > .container > .info-contacts >p{
        text-align: left;
    }
    footer > .container > .info-contacts > p:first-child{
        margin: 0;
    }
    footer > .container > .info-contacts > p:last-child{
        margin-top: 1.5rem;
        width: 100%;
    }
}
@media screen and (min-width:992px) and (min-width:1200px){
    .info-contacts{
        grid-template-columns: 20% 40%; 
    }
    footer > .container > h2{
        padding: .5rem 0 ;
        font-size: 1.4rem;
    }
    footer > .container > .info-contacts > p{
        font-size: .999rem;
    }
    .e-name{
        font-size: 1.2rem;
    }
    .all-right{
        font-size: 1.1rem;
    }
}
/*Réactivité responsive de la page suggestion de lieu */
@media screen and (min-width:768px){
    .suggestion{
        margin: 0 2.5rem 2.5rem;
        padding: 4rem 20% 5rem;
        font-size: .9rem;
        background: #fff5f5;
    }
    .cadre-form{
        padding: .7rem;
    }
    .buttons{
        margin: 2rem 37% 0.4rem;
        width: 30%;
    }
    input[type=file] {
        font-size: .8rem;
    }
    input[type=text],[type=email]{
        height: 1.8rem;
    }
    input[type=text],[type=email],[type=email],textarea {
        font-size: .9rem;
    }
}
@media screen and (min-width:992px){
    .suggestion{
        padding: 4rem 28% 5rem;
        font-size: 1.1rem;
    }
    .cadre-form{
        padding: .9rem;
    }
    .buttons{
        margin: 2rem 32% 0.4rem;
        width: 35%;
    }
    input[type=text],[type=email]{
        height: 2.2rem;
    }
    input[type=text],[type=email],[type=email],textarea {
        font-size: 1.1rem;
    }
    input[type=file] {
        font-size: .9rem;
    }
    input[type=file]::file-selector-button {
        padding: .4rem;
        font-size: .9rem;
    }
    input[type=submit],[type=reset] {
        width: 6.7rem;
        height: 2.2rem;
        font-size: 1.1rem;
    }
}
/* Réactivité responsive de la page à propos de*/
@media screen and (min-width:768px){
    #scroll,.presentation{
        padding: 1.2rem;
    }    
    #scroll-vedette{
        display: flex;
        gap: 1rem;
        margin: 0 0 1rem;
        padding: 1.2rem 5% .1rem;
        background-color: rgb(230, 235, 235);
    }
    .info-plus > h2{
        margin-left: .5rem;
        font-size: .8rem;
    }
    .info-plus > a {
        font-size: .7rem;
    }
}
@media screen and (min-width:992px){
    h2{
        font-weight: 600;
        font-size: 1.5rem;
    }
    section p{
        font-weight: 350;
        font-size: 1.2rem;
        line-height: 1.8rem
    }
    #scroll,.presentation{
        padding: 1.7rem;
    } 
    .info-plus{
        margin-top: -3.3rem;
        height: 3rem;
    }
   .info-plus > h2{
        margin-left: .5rem;
        font-size: .9rem;
    }
    .info-plus > a {
        font-size: .8rem;
    }
}
/* Réactivité responsive de la page principale*/
@media screen and (min-width:524px){
    .presentation-zone{
        margin-bottom: -7rem;
        padding-bottom: 10rem;
        background-color: rgba(219, 219, 219, 0.9);
    }
}
@media screen and (min-width:768px) and (min-width:992px){
    .presentation-text > h2{
        margin-top: 3.8rem;
        font-size: 2.7rem;
        line-height: 3.5rem;
    }
    .presentation-text > h2 >span{
        font-family: var(--graphical-typo);
        font-weight: 850;
        font-size: 2.5rem;
        letter-spacing: .3rem;
    }
    .presentation-text > p{
        margin-top: 0;
        padding: .9rem;
        width: 75%;
        font-weight: 400;
        font-size: 1.1rem;
    }
    #scroll-zone{
        margin: 0rem 2.5rem 0;
        padding: .8rem;
        background: #fff5f5;
    }
}
@media screen and (min-width:1200px){
    .interest{
        display: grid;
        grid-template-columns: 65% 34%;
        gap: 1%;       
    }
    .content-text{
        margin: 1.6rem 0;
        padding: .4rem .5rem;       
        background-color: rgba(219, 219, 219, 0.9);
    }
    .content-text-in-show{
        margin: 4.7rem 0;
        padding: .4rem .5rem;       
        background-color: rgba(219, 219, 219, 0.9);
    }
    .presentation-text > p{
        width: 60%;
        font-weight: 400;
        font-size: 1.5rem;
        line-height: 1.8rem;
    }
    #scroll-zone{
        margin: 0rem 1.8rem 0;
        padding: 1.7rem;
    }
    .interes-title{
        font-size: 1.9rem;
        line-height: 5rem;
    }
    .eye-catching{
        font-weight: 400;
        font-size: 1.2rem;
        line-height: 1.6rem;
    }
    .text-content{
        font-weight: 350;
        font-size: 1.1rem;
        line-height: 1.5rem;
    }
    figure {
        font-size: .9rem;
    }
    section > .presentation-zone > .presentation-text > a{
        padding: .8rem;
        font-weight: 700;
    }
}